Mailinglist Archive: opensuse-project (134 mails)

< Previous Next >
Re: [opensuse-project] systemd 234? what the literal eff you cee kay?


On 7/20/20 6:15 PM, Mathias Homann wrote:
OK, who decided to stick with a THREE YEAR OLD systemd in Leap 15.2, and why?

Because it is the newest version that SUSE Engineers are providing
enterprise support for.

There are open bugs in that version that have been fixed TWO YEARS AGO.

As mentioned elsewhere in this thread most of those bugfixes should have
made there way into Leap either as part of the latest release or
maintenance updates. If you are encountering a bug in Leap 15.2 that has
been fixed upstream please open a bug in openSUSE's bugtracker and the
team will try there best to backport it.

Asking for advice about that kind of stuff upstream is just plain old
embarrassing!

It shouldn't be, many of the people working on upstream systemd work for
Enterprise Linux Distro's be it SUSE, Redhat or Debian and are well
aware of how enterprise / LTSS distro's work.

Can I safely replace that with the up to date systemd from factory?

No I imagine that will probably break something horribly if not right
now probably sometime in the future.

--
Simon Lees (Simotek) http://simotek.net

Emergency Update Team keybase.io/simotek
SUSE Linux Adelaide Australia, UTC+10:30
GPG Fingerprint: 5B87 DB9D 88DC F606 E489 CEC5 0922 C246 02F0 014B

< Previous Next >
Follow Ups
References